%define	name	aliases2cdbm
%define	version	1.0
%define	release	1mdk

Summary:	Convert mail aliases into input suitable for cdbmake
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Networking/Mail
URL:		http://www.pobox.com/~jmknoble/software/
Source:		%{name}-%{version}.tar.bz2
Requires:	cdb gawk qmail
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
`Aliases2cdbm' is a utility for converting mail aliases from a text
file (e.g., /etc/aliases) into input suitable for the `cdbmake'
utility.  Cdbmake can then create a constant database (CDB) suitable
for reliable, high-speed mail alias lookups (see
<ftp://koobera.math.uic.edu/www/cdb.html> for more information about
D.J. Bernstein's cdb package, which includes cdbmake).

%package 	extra
Summary: 	Extra glue for using aliases2cdbm with exim
Group: 		Networking/Mail
Requires:	cdb gawk exim

%description extra
`Aliases2cdbm' is a utility for converting mail aliases from a text
file (e.g., /etc/aliases) into input suitable for the `cdbmake'
utility.  Cdbmake can then create a constant database (CDB) suitable
for reliable, high-speed mail alias lookups (see
<ftp://koobera.math.uic.edu/www/cdb.html> for more information about
D.J. Bernstein's cdb package, which includes cdbmake).

This package contains a few extra glue files for using aliases2cdbm
with the `exim' MTA (mail transport agent) <http://www.exim.org/>.

%prep
rm -rf %{buildroot}
%setup -q -n %{name}-%{version}

%build
make CC="gcc" OPTFLAGS="%{optflags}" PREFIX="%{_prefix}"
make CC="gcc" OPTFLAGS="%{optflags}" PREFIX="%{_prefix}" extra

%install
rm -rf %{buildroot}
install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_sbindir}
install -d %{buildroot}%{_sysconfdir}
install -d %{buildroot}%{_mandir}/man1
install -m 755 aliases2cdbm %{buildroot}%{_bindir}/
install -m 755 exim.newaliases.cdb %{buildroot}%{_sbindir}/
install -m 644 aliases.conf %{buildroot}%{_sysconfdir}/
install -m 644 aliases2cdbm.1 %{buildroot}%{_mandir}/man1/

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README aliases.sample aliases.warnings
%{_bindir}/aliases2cdbm
%{_mandir}/man1/aliases2cdbm.1*

%files extra
%defattr(-,root,root)
%config(missingok,noreplace) %{_sysconfdir}/aliases.conf
%{_sbindir}/exim.newaliases.cdb

%changelog
* Wed Nov 28 2001 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.0-1mdk
- initial cooker contrib.

